Subject: Re: [patch net-next-2.6 3/8] net: get rid of multiple bond-related netdevice->priv_flags

From: Ben Hutchings <[email-masked]>
Date: Sat, 05 Mar 2011 14:37:42 +0000

On Sat, 2011-03-05 at 15:14 +0100, Nicolas de Pesloüan wrote:
> Le 05/03/2011 11:29, Jiri Pirko a écrit :
[...]
> > --- a/include/linux/if.h
> > +++ b/include/linux/if.h
> > @@ -60,21 +60,17 @@
> >   #define IFF_802_1Q_VLAN 0x1             /* 802.1Q VLAN device.          */
> >   #define IFF_EBRIDGE	0x2		/* Ethernet bridging device.	*/
> >   #define IFF_SLAVE_INACTIVE	0x4	/* bonding slave not the curr. active */
> > -#define IFF_MASTER_8023AD	0x8	/* bonding master, 802.3ad. 	*/
> > -#define IFF_MASTER_ALB	0x10		/* bonding master, balance-alb.	*/
> > -#define IFF_BONDING	0x20		/* bonding master or slave	*/
> > -#define IFF_SLAVE_NEEDARP 0x40		/* need ARPs for validation	*/
> > -#define IFF_ISATAP	0x80		/* ISATAP interface (RFC4214)	*/
> > -#define IFF_MASTER_ARPMON 0x100		/* bonding master, ARP mon in use */
> > -#define IFF_WAN_HDLC	0x200		/* WAN HDLC device		*/
> > -#define IFF_XMIT_DST_RELEASE 0x400	/* dev_hard_start_xmit() is allowed to
> > +#define IFF_BONDING	0x8		/* bonding master or slave	*/
> > +#define IFF_ISATAP	0x10		/* ISATAP interface (RFC4214)	*/
> > +#define IFF_WAN_HDLC	0x20		/* WAN HDLC device		*/
> > +#define IFF_XMIT_DST_RELEASE 0x40	/* dev_hard_start_xmit() is allowed to
> >   					 * release skb->dst
> >   					 */
> 
> Why did you changed those values? Aren't those exposed to userland? Just removing the unused one 
> sounds good to me.
[...]

Look just one line further up:

/* Private (from user) interface flags (netdevice->priv_flags). */

Maybe they should have a prefix IFPF_ instead of IFF_ though.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.